
var heightUnit = "m"
var speedUnit = "m/s"
function setUnit(hunit, speedunit) {
    heightUnit = hunit;
    speedUnit = speedunit;
}

function convertHeight(height) {

    if (heightUnit == "ft") {
        height = height * 0.3048;;

    }
    return height.toFixed(0) +" " + heightUnit

}
function convertHeight1(height) {

    if (heightUnit == "ft") {
        height = height * 0.3048;;

    }
    return height.toFixed(2) +" " + heightUnit

}
function convertWave(height){
if (heightUnit == "ft") {
        height = height * 0.3048;;

    }
    return height.toFixed(2) +" " + heightUnit
}

function convertSpeed(speed) {
    switch (speedUnit) {
        case "m/s":
            break;
        case "kt":
            speed = speed / 1852 * 3600;
            break;
        case "km/h":
            speed = speed * 3.6;
            break;
        case "mph":
            speed = speed / 1609.344 * 3600;
            break;
    }
    return speed.toFixed(2) +" "+ speedUnit
}